//
//  HeaderView.m
//  仿美团城市选择
//
//  Created by 杨锴 on 16/9/3.
//  Copyright © 2016年 yvkd. All rights reserved.
//

#import "HeaderView.h"
#import "UIView+SDAutoLayout.h"


#define SCREENWITH [UIScreen mainScreen].bounds.size.width
#define SCREENHEIGHT [UIScreen mainScreen].bounds.size.height
#define PATH [NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) lastObject]
@interface HeaderView()

@property(nonatomic,strong)UILabel  *poCityLabel; //定位城市标题
@property(nonatomic,strong)UILabel  *reCityLabel; //最近访问城市标题
@property(nonatomic,strong)UILabel *hotLabel;     //热门城市
@end

@implementation HeaderView

-(instancetype)init{
    self = [super init];
    if (self) {
        self.sd_layout.widthIs(SCREENWITH).heightIs(550);
        _reCityArr  = [NSArray arrayWithContentsOfFile:[PATH stringByAppendingPathComponent:@"VisitCity.plist"]];
        _hotCityArr = [NSMutableArray arrayWithObjects:@"上海市",@"北京市",@"广州市",@"深圳市",@"武汉市",@"天津市",@"西安市",@"南京市",@"杭州市",@"成都市",@"重庆市",nil];
        
        [self addSubview:self.searchBar];
        [self addSubview:self.poCityLabel];
        [self addSubview:self.poCityBtn];
        [self addSubview:self.reCityLabel];
        [self addSubview:self.hotLabel];
        
        //最近访问城市
        for (int i = 0; i<_reCityArr.count; i++) {
            BigButton  *reCity           = [[BigButton alloc]init];
            [reCity addTarget:self action:@selector(CityClick:) forControlEvents:UIControlEventTouchUpInside];
            reCity.frame               = CGRectMake(10+i*110, CGRectGetMaxY(self.reCityLabel.frame)+10, 100, 40);
            [reCity setTitle:_reCityArr[i] forState:UIControlStateNormal];
            [self addSubview:reCity];
        }
        
        
        //热门城市
        for (int i = 0,j = 0 ,z = 0; i< 11; i++) {
            BigButton *hotCity  = [[BigButton alloc]init];
            [hotCity addTarget:self action:@selector(CityClick:) forControlEvents:UIControlEventTouchUpInside];
            hotCity.frame = CGRectMake(10+j*110, CGRectGetMaxY(self.hotLabel.frame) + 60 * z, 100, 40);
            [hotCity setTitle:_hotCityArr[i] forState:UIControlStateNormal];
                j ++ ;
            if (j%3 == 0) {
                j = 0;
                z ++;
            }
            [self addSubview:hotCity];
        }
    }
    return self;
}


//按钮点击
-(void)CityClick:(UIButton*)btn{
    NSLog(@"%@",btn.titleLabel.text);
}

#pragma mark --懒加载
-(UISearchBar *)searchBar{
    if (!_searchBar) {
        _searchBar              = [[UISearchBar alloc]init];
        _searchBar.frame        = CGRectMake(10, 5, SCREENWITH-30, 44);
        _searchBar.placeholder  = @"请输入需要查询的城市";
        _searchBar.barTintColor = [UIColor colorWithRed:0.91 green:0.91 blue:0.91 alpha:1.00];
    }
    return _searchBar;
}

-(UILabel *)poCityLabel{
    if (!_poCityLabel) {
        _poCityLabel           = [[UILabel alloc]init];
        _poCityLabel.frame     = CGRectMake(5, CGRectGetMaxY(self.searchBar.frame)+20, 100, 24);
        _poCityLabel.text      = @"定位城市";
        _poCityLabel.font      = [UIFont systemFontOfSize:14];
        _poCityLabel.textColor = [UIColor grayColor];
    }
    return _poCityLabel;
}

-(UILabel *)reCityLabel{
    if (!_reCityLabel) {
        _reCityLabel           = [[UILabel alloc]init];
        _reCityLabel.frame     = CGRectMake(5, CGRectGetMaxY(self.poCityBtn.frame)+20, 100, 24);
        _reCityLabel.text      = @"最近访问城市";
        _reCityLabel.font      = [UIFont systemFontOfSize:14];
        _reCityLabel.textColor = [UIColor grayColor];
    }
    return _reCityLabel;
}

-(BigButton *)poCityBtn{
    if(!_poCityBtn){
        _poCityBtn       = [[BigButton alloc]init];
        _poCityBtn.frame = CGRectMake(10, CGRectGetMaxY(self.poCityLabel.frame)+8, 100, 40);
         [_poCityBtn addTarget:self action:@selector(CityClick:) forControlEvents:UIControlEventTouchUpInside];
    }
    return _poCityBtn;
}

-(UILabel *)hotLabel{
    if (!_hotLabel) {
        _hotLabel           = [[UILabel alloc]init];
        _hotLabel.frame     = CGRectMake(10, CGRectGetMaxY(self.reCityLabel.frame)+80, 100, 24);
        _hotLabel.text      = @"热门城市";
        _hotLabel.font      = [UIFont systemFontOfSize:14];
        _hotLabel.textColor = [UIColor grayColor];
    }
    return _hotLabel;
}

@end
