//
//  YKCLGeocoder.m
//  ExporerCommunity
//
//  Created by 杨锴 on 16/6/12.
//  Copyright © 2016年 yvkd. All rights reserved.
//

#import "YKCLGeocoder.h"
/**
 *  地址解析类，将经纬度坐标转换为文字获奖文字转化为坐标
 */
@implementation YKCLGeocoder
+(instancetype)share{
    static dispatch_once_t onceToken;
    static YKCLGeocoder *geocoder;
    dispatch_once(&onceToken, ^{
        geocoder = [[YKCLGeocoder alloc]init];
    });
    return geocoder;
}

/**
 *  字符转化经纬度
 *
 *  @param address 字符
 *
 *  @return 经纬度
 */
-(CLLocation*)geocodeAddressToLAL:(NSString *)address{
    [[[CLGeocoder alloc]init]geocodeAddressString:address completionHandler:^(NSArray<CLPlacemark *> * _Nullable placemarks, NSError * _Nullable error) {
        CLPlacemark *mark;
        for (int i = 0; i<placemarks.count; i++) {
            mark = placemarks[i];
            self.cll = mark.location;
            NSLog(@"%@",mark.addressDictionary);
        }

    }];
    return self.cll;
}


/**
 *  经纬度转字符
 *
 *  @param lal 经纬度
 *
 *  @return 字符
 */
-(void)LALTogeocodeAddress:(CLLocation *)lal City:(CityName)city{
    [[[CLGeocoder alloc]init]reverseGeocodeLocation:lal completionHandler:^(NSArray<CLPlacemark *> * _Nullable placemarks, NSError * _Nullable error) {
        CLPlacemark *place = [placemarks lastObject];
        city(place.locality);
    }];
}
@end
